<?php

$RSS_URL    = 'http://miroppb.com/rss';
$USER_AGENT = 'Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.1; Trident/6.0)';
$CACHE_FILE = 'mirocache.json';
$OUTPUT_DIR = '.';

$rss = shell_exec('curl -sL -A '.escapeshellarg($USER_AGENT).' '.escapeshellarg($RSS_URL));

$obj = simplexml_load_string($rss);

$cache = json_decode(file_get_contents($CACHE_FILE), true);

$should_download = [];

foreach($obj->channel->item as $item) {
	$title = 'ASOT - '.$item->title;
	$guid = ''.$item->guid;
	$audio = ''.$item->enclosure['url'];
	
	if (! array_key_exists($guid, $cache)) {
		$cache[$guid] = [$title, $audio];
		$should_download[] = $audio;
	}
}

file_put_contents($CACHE_FILE, json_encode($cache, JSON_PRETTY_PRINT));

foreach($should_download as $url) {
	shell_exec('( cd '.escapeshellarg($OUTPUT_DIR).' ; curl -A '.escapeshellarg($USER_AGENT).' -sLO '.escapeshellarg($url).' )');
}
